#include <iostream>

using namespace std;

int main()
{
    int t;
    cin>>t;
    long n,m,k;
    bool resenje[t];
    for(int i=0;i<t;i++)
    {
        cin>>n>>m>>k;
        long x=n/k;
        long o=n%k; //103  5grupa o=3 2 grupe od 20 i 3 grupe od 21
        long suma=(k-o)*x*(x+1)/2+o*(x+1)*(x+2)/2;
        if(suma<m){
            resenje[i]=true;
        }
        else{
            resenje[i]=false;
        }

        //cout<<suma<<" "<<k-1+(n-k)*(n-k+1)/2<<"\n";

    }

    for(int i=0;i<t;i++)
    {
        if(resenje[i]){
            cout<<"Tak"<<"\n";
        }
        else{
            cout<<"Nie"<<"\n";
        }

    }

    return 0;
}